Package groovy.ui.text

# Class StructuredSyntaxHandler

java.lang.Object
org.xml.sax.helpers.DefaultHandler
groovy.ui.text.StructuredSyntaxHandler

All Implemented Interfaces:
  `org.xml.sax.ContentHandler`, `org.xml.sax.DTDHandler`, `org.xml.sax.EntityResolver`, `org.xml.sax.ErrorHandler`

    @Deprecated
    public class StructuredSyntaxHandler
    extends org.xml.sax.helpers.DefaultHandler

Deprecated.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `ALIGN_CENTER` | Deprecated.
  `static java.lang.String` | `ALIGN_JUSTIFIED` | Deprecated.
  `static java.lang.String` | `ALIGN_LEFT` | Deprecated.
  `static java.lang.String` | `ALIGN_RIGHT` | Deprecated.
  `static java.lang.String` | `ALIGNMENT` | Deprecated.
  `static java.lang.String` | `BACKGROUND` | Deprecated.
  `static java.lang.String` | `BIDI_LEVEL` | Deprecated.
  `static java.lang.String` | `BOLD` | Deprecated.
  `static java.lang.String` | `COMPONENT_ATTRIBUTE` | Deprecated.
  `static java.lang.String` | `COMPONENT_ELEMENT_NAME` | Deprecated.
  `static java.lang.String` | `COMPOSED_TEXT_ATTRIBUTE` | Deprecated.
  `static java.lang.String` | `FIRST_LINE_INDENT` | Deprecated.
  `static java.lang.String` | `FONT_FAMILY` | Deprecated.
  `static java.lang.String` | `FONT_SIZE` | Deprecated.
  `static java.lang.String` | `FOREGROUND` | Deprecated.
  `static java.lang.String` | `ICON_ATTRIBUTE` | Deprecated.
  `static java.lang.String` | `ICON_ELEMENT_NAME` | Deprecated.
  `static java.lang.String` | `ITALIC` | Deprecated.
  `static java.lang.String` | `LEFT_INDENT` | Deprecated.
  `static java.lang.String` | `LINE_SPACING` | Deprecated.
  `static java.lang.String` | `MODEL_ATTRIBUTE` | Deprecated.
  `static java.lang.String` | `NAME_ATTRIBUTE` | Deprecated.
  `static java.lang.String` | `ORIENTATION` | Deprecated.
  `static java.lang.String` | `REGEXP` | Deprecated.
  `static java.lang.String` | `RESOLVE_ATTRIBUTE` | Deprecated.
  `static java.lang.String` | `RIGHT_INDENT` | Deprecated.
  `static java.lang.String` | `SPACE_ABOVE` | Deprecated.
  `static java.lang.String` | `SPACE_BELOW` | Deprecated.
  `static java.lang.String` | `STRIKE_THROUGH` | Deprecated.
  `static java.lang.String` | `STYLE` | Deprecated.
  `static java.lang.String` | `SUBSCRIPT` | Deprecated.
  `static java.lang.String` | `SUPERSCRIPT` | Deprecated.
  `static java.lang.String` | `TAB_SET` | Deprecated.
  `static java.lang.String` | `UNDERLINE` | Deprecated.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `StructuredSyntaxHandler​(StructuredSyntaxDocumentFilter filter)` | Deprecated. Creates a new instance of MasterFrameHandler

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `characters​(char[] ch, int start, int length)` | Deprecated.
  `void` | `endDocument()` | Deprecated.
  `void` | `endElement​(java.lang.String uri, java.lang.String localName, java.lang.String qName)` | Deprecated.
  `void` | `error​(org.xml.sax.SAXParseException e)` | Deprecated.
  `void` | `startDocument()` | Deprecated.
  `void` | `startElement​(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)` | Deprecated.

  ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

  `endPrefixMapping, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.xml.sax.ContentHandler

  `declaration`

- ## Field Details

  - ### REGEXP

    public static final java.lang.String REGEXP
    Deprecated.
    See Also:
      Constant Field Values

  - ### STYLE

    public static final java.lang.String STYLE
    Deprecated.
    See Also:
      Constant Field Values

  - ### ALIGN_CENTER

    public static final java.lang.String ALIGN_CENTER
    Deprecated.
    See Also:
      Constant Field Values

  - ### ALIGN_JUSTIFIED

    public static final java.lang.String ALIGN_JUSTIFIED
    Deprecated.
    See Also:
      Constant Field Values

  - ### ALIGN_LEFT

    public static final java.lang.String ALIGN_LEFT
    Deprecated.
    See Also:
      Constant Field Values

  - ### ALIGN_RIGHT

    public static final java.lang.String ALIGN_RIGHT
    Deprecated.
    See Also:
      Constant Field Values

  - ### ALIGNMENT

    public static final java.lang.String ALIGNMENT
    Deprecated.
    See Also:
      Constant Field Values

  - ### BACKGROUND

    public static final java.lang.String BACKGROUND
    Deprecated.
    See Also:
      Constant Field Values

  - ### BIDI_LEVEL

    public static final java.lang.String BIDI_LEVEL
    Deprecated.
    See Also:
      Constant Field Values

  - ### BOLD

    public static final java.lang.String BOLD
    Deprecated.
    See Also:
      Constant Field Values

  - ### COMPONENT_ATTRIBUTE

    public static final java.lang.String COMPONENT_ATTRIBUTE
    Deprecated.
    See Also:
      Constant Field Values

  - ### COMPONENT_ELEMENT_NAME

    public static final java.lang.String COMPONENT_ELEMENT_NAME
    Deprecated.
    See Also:
      Constant Field Values

  - ### COMPOSED_TEXT_ATTRIBUTE

    public static final java.lang.String COMPOSED_TEXT_ATTRIBUTE
    Deprecated.
    See Also:
      Constant Field Values

  - ### FIRST_LINE_INDENT

    public static final java.lang.String FIRST_LINE_INDENT
    Deprecated.
    See Also:
      Constant Field Values

  - ### FONT_FAMILY

    public static final java.lang.String FONT_FAMILY
    Deprecated.
    See Also:
      Constant Field Values

  - ### FONT_SIZE

    public static final java.lang.String FONT_SIZE
    Deprecated.
    See Also:
      Constant Field Values

  - ### FOREGROUND

    public static final java.lang.String FOREGROUND
    Deprecated.
    See Also:
      Constant Field Values

  - ### ICON_ATTRIBUTE

    public static final java.lang.String ICON_ATTRIBUTE
    Deprecated.
    See Also:
      Constant Field Values

  - ### ICON_ELEMENT_NAME

    public static final java.lang.String ICON_ELEMENT_NAME
    Deprecated.
    See Also:
      Constant Field Values

  - ### ITALIC

    public static final java.lang.String ITALIC
    Deprecated.
    See Also:
      Constant Field Values

  - ### LEFT_INDENT

    public static final java.lang.String LEFT_INDENT
    Deprecated.
    See Also:
      Constant Field Values

  - ### LINE_SPACING

    public static final java.lang.String LINE_SPACING
    Deprecated.
    See Also:
      Constant Field Values

  - ### MODEL_ATTRIBUTE

    public static final java.lang.String MODEL_ATTRIBUTE
    Deprecated.
    See Also:
      Constant Field Values

  - ### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE
    Deprecated.
    See Also:
      Constant Field Values

  - ### ORIENTATION

    public static final java.lang.String ORIENTATION
    Deprecated.
    See Also:
      Constant Field Values

  - ### RESOLVE_ATTRIBUTE

    public static final java.lang.String RESOLVE_ATTRIBUTE
    Deprecated.
    See Also:
      Constant Field Values

  - ### RIGHT_INDENT

    public static final java.lang.String RIGHT_INDENT
    Deprecated.
    See Also:
      Constant Field Values

  - ### SPACE_ABOVE

    public static final java.lang.String SPACE_ABOVE
    Deprecated.
    See Also:
      Constant Field Values

  - ### SPACE_BELOW

    public static final java.lang.String SPACE_BELOW
    Deprecated.
    See Also:
      Constant Field Values

  - ### STRIKE_THROUGH

    public static final java.lang.String STRIKE_THROUGH
    Deprecated.
    See Also:
      Constant Field Values

  - ### SUBSCRIPT

    public static final java.lang.String SUBSCRIPT
    Deprecated.
    See Also:
      Constant Field Values

  - ### SUPERSCRIPT

    public static final java.lang.String SUPERSCRIPT
    Deprecated.
    See Also:
      Constant Field Values

  - ### TAB_SET

    public static final java.lang.String TAB_SET
    Deprecated.
    See Also:
      Constant Field Values

  - ### UNDERLINE

    public static final java.lang.String UNDERLINE
    Deprecated.
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### StructuredSyntaxHandler

    public StructuredSyntaxHandler​(StructuredSyntaxDocumentFilter filter)
    Deprecated.
    Creates a new instance of MasterFrameHandler
    Parameters:
      `filter` -

- ## Method Details

  - ### characters

    public void characters​(char[] ch, int start, int length)
    Deprecated.
    Specified by:
      `characters` in interface `org.xml.sax.ContentHandler`
    Overrides:
      `characters` in class `org.xml.sax.helpers.DefaultHandler`

  - ### endDocument

    public void endDocument() throws org.xml.sax.SAXException
    Deprecated.
    Specified by:
      `endDocument` in interface `org.xml.sax.ContentHandler`
    Overrides:
      `endDocument` in class `org.xml.sax.helpers.DefaultHandler`
    Throws:
      `org.xml.sax.SAXException`

  - ### endElement

    public void endElement​(java.lang.String uri, java.lang.String localName, java.lang.String qName) throws org.xml.sax.SAXException
    Deprecated.
    Specified by:
      `endElement` in interface `org.xml.sax.ContentHandler`
    Overrides:
      `endElement` in class `org.xml.sax.helpers.DefaultHandler`
    Throws:
      `org.xml.sax.SAXException`

  - ### error

    public void error​(org.xml.sax.SAXParseException e) throws org.xml.sax.SAXException
    Deprecated.
    Specified by:
      `error` in interface `org.xml.sax.ErrorHandler`
    Overrides:
      `error` in class `org.xml.sax.helpers.DefaultHandler`
    Throws:
      `org.xml.sax.SAXException`

  - ### startDocument

    public void startDocument() throws org.xml.sax.SAXException
    Deprecated.
    Specified by:
      `startDocument` in interface `org.xml.sax.ContentHandler`
    Overrides:
      `startDocument` in class `org.xml.sax.helpers.DefaultHandler`
    Throws:
      `org.xml.sax.SAXException`

  - ### startElement

    public void startElement​(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes) throws org.xml.sax.SAXException
    Deprecated.
    Specified by:
      `startElement` in interface `org.xml.sax.ContentHandler`
    Overrides:
      `startElement` in class `org.xml.sax.helpers.DefaultHandler`
    Throws:
      `org.xml.sax.SAXException`